# Uses of Interface
org.apache.sling.distribution.DistributionRequest

Packages that use DistributionRequest
Package
Description
org.apache.sling.distribution

## Uses of DistributionRequest in org.apache.sling.distribution

Classes in org.apache.sling.distribution that implement DistributionRequest
Modifier and Type
Class
Description
`final class`
`SimpleDistributionRequest`
A `SimpleDistributionRequest` is a `DistributionRequest` where all paths are either "deep" or "shallow".
Methods in org.apache.sling.distribution with parameters of type DistributionRequest
Modifier and Type
Method
Description
`DistributionResponse`
Distributor.`distribute(String agentName, org.apache.sling.api.resource.ResourceResolver resourceResolver, DistributionRequest distributionRequest)`
Perform a `DistributionRequest` to distribute content from a source instance to a target instance.